Get topic
Get a topic by ID with its subscriptions.
GET
/topics/{id}
Get a topic by ID with its subscriptions.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Resource ID (32-char hex)
Example:
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"Responses
200
Topic with subscriptions
application/jsontopic
object | null
REQUIRED
id
string
REQUIRED
org_id
string
REQUIRED
env_id
string
REQUIRED
name
string
REQUIRED
slug
string
REQUIRED
description
string | null
REQUIRED
schema
string | null
REQUIRED
status
string
REQUIRED
created_at
string
REQUIRED
updated_at
string
REQUIRED
subscriptions
object[]
REQUIRED
Array of:
id
string
REQUIRED
org_id
string
REQUIRED
env_id
string
REQUIRED
topic_id
string
REQUIRED
destination_id
string
REQUIRED
filter_rules
string | null
REQUIRED
transform_expression
string | null
REQUIRED
enabled
integer
REQUIRED
created_at
string
REQUIRED
destination_name
string | null
REQUIRED
401
Unauthorized
404
Not found
curl -X GET 'https://hookstream.io/v1/topics/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/topics/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://hookstream.io/v1/topics/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://hookstream.io/v1/topics/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "topic": { "id": "<string>", "org_id": "<string>", "env_id": "<string>", "name": "<string>", "slug": "<string>", "description": "<string>", "schema": "<string>", "status": "<string>", "created_at": "<string>", "updated_at": "<string>" }, "subscriptions": [ { "id": "<string>", "org_id": "<string>", "env_id": "<string>", "topic_id": "<string>", "destination_id": "<string>", "filter_rules": "<string>", "transform_expression": "<string>", "enabled": 123, "created_at": "<string>", "destination_name": "<string>" } ]}
API Playground
Try this endpoint
GET
/topics/{id}